Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

List attached items

Returns a list of attached items satisfying all the conditions specified in the filter parameters below. The list is sorted by the date of creation in descending order (latest first).

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/items/{item-id}/attached_items

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
id[<operator>]

optional, string filter

Filter attached items based on their id. Supported operators : is, is_not, starts_with, in, not_in

Example → id[is] = "bec0c324-adb6-44d3-ad4f-694f449be97c"

Supported operators: is, is_not, starts_with, in, not_in
Example → bec0c324-adb6-44d3-ad4f-694f449be97c
item_id[<operator>]

optional, string filter

Filter attached items based on the item_id of the item being attached. Supported operators : is, is_not, starts_with, in, not_in

Example → item_id[is] = "basic"

Supported operators: is, is_not, starts_with, in, not_in
Example → basic
type[<operator>]

optional, enumerated string filter

Filter attached items based on the type of attached item. Possible values are : recommended , mandatory , optional. Possible values are : recommended, mandatory, optional.

Supported operators : is, is_not, in, not_in

Example → type[is] = "mandatory"

Supported operators: is, is_not, in, not_in
Example → mandatory
item_type[<operator>]

optional, enumerated string filter

To filter based on the type of of the attached item. Possible values are : addon , charge. Possible values are : plan, addon, charge.

Supported operators : is, is_not, in, not_in

Example → item_type[is_not] = "plan"

Supported operators: is, is_not, in, not_in
Example → plan
charge_on_event[<operator>]

optional, enumerated string filter

Indicates when the item is charged. This attribute only applies to charge-items. Possible values are : subscription_creation, subscription_trial_start, plan_activation, subscription_activation, contract_termination, on_demand.

Supported operators : is, is_not, in, not_in

Example → charge_on_event[is] = "subscription_creation"

Supported operators: is, is_not, in, not_in
Example → subscription_creation
updated_at[<operator>]

optional, timestamp(UTC) in seconds filter

Filter attached items based on when the attached items were last updated. Supported operators : after, before, on, between

Example → updated_at[after] = "1243545465"

Supported operators: after, before, on, between
Example → 1243545465

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Attached item object
Resource object representing attached_item